Get a role
Read one role owned by your organization. Save the ETag response header before updating or deleting the role.
Path Parameters
- Type: stringFormat: uuidrole
Id required
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/external/v2/roles/{roleId}
curl https://sales-api.artemis.solar/external/v2/roles/123e4567-e89b-12d3-a456-426614174000 \
--header 'x-api-key: YOUR_SECRET_TOKEN'
Organization role
{
"data": {
"id": "da7c1b2e-39f4-4c95-a816-8e27b4d1f530",
"name": "Project coordinator",
"description": "Coordinates assigned projects",
"permissions": [
"project:view_team",
"project:edit_details"
],
"createdAt": "2026-09-05T12:00:00.000Z",
"updatedAt": "2026-09-05T12:00:00.000Z"
}
}
